# PSF-LoginServer - master - net.psforever.objects.vehicles.Utility
PSF - LoginServer - master - net.psforever.objects.vehicles.Utility
Keywords: PSF LoginServer master net.psforever.objects.vehicles.Utility

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vehicles
  Definition Classes
    objects
-  package control
  Definition Classes
    vehicles
- AccessPermissionGroup
- AntTransferBehavior
- Cargo
- CargoBehavior
- CargoVehicleRestriction
- DestroyedVehicle
- InternalTelepadDefinition
- ManifestPassengerEntry
- MountableWeapons
- MountableWeaponsDefinition
- MountedWeapons
- MountedWeaponsDefinition
- SeatArmorRestriction
- Turrets
- Utility
- UtilityType
- VehicleLockState
- VehicleManifest

c

net.psforever.objects.vehicles

# Utility 

###
Companion object Utility

#### class Utility extends AnyRef

Build a specific functional extension that is a component of a certain `Vehicle` object.
A `Utility` object is a variation of an `Amenity` object that might be found in a `Building` object. The object itself is stored inside the `Utility` as if it were a container. `Amenity` objects are required because they are to be owned by the `vehicle` for purposes of faction affinity. Only specific kinds of objects count for being `Utility` contents/objects. Additional "setup" logic can be supplied that will be called when the owner vehicle's control `Actor` is created. Ostensibly, the purpose of the additional logic, when it is called, is to initialize a control `Actor` for the contained object. This `Actor` is expected by other logic.

Source
  Utility.scala
See also

  `Amenity.Owner`

  `Vehicle.LoadDefinition`

  `VehicleDefinition.Utilities`

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Utility
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Utility(util: UtilityType.Value, vehicle: Vehicle)

   util

     the type of the `Amenity` object to be created

   vehicle

     the owner of this object

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Setup(implicit context: ActorContext): Unit

   Run the setup code that was provided in the object constructor parameters.

   Run the setup code that was provided in the object constructor parameters. While it is expected to construct an `Actor`, that is not required.

   context

     an `ActorContext` potentially useful for the function

5.  def UtilType: UtilityType.Value

   Recover the original value used to initialize this object.

   Recover the original value used to initialize this object.

   returns

     the type of the `Amenity` object that was created

6.  def apply(): Amenity

   Access the contained object in this `Utility`.

   Access the contained object in this `Utility`.

   returns

     the contained `Amenity` object

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped